petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetCoordinateDim

Set the dimension of the embedding space for coordinate values.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetCoordinateDim(DM dm, PetscInt dim)

Not Collective Many br

### Input Parameters

| dm | - The DM object Many br
| dim | - The embedding dimension Many br

Many br

### Keywords

mesh, coordinates

### See Also

DMGetCoordinateDim(), DMSetCoordinateSection(), DMGetCoordinateSection(), DMGetDefaultSection(), DMSetDefaultSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages